<div class="loader" *ngIf="showLoader">
  <app-loader></app-loader>
</div>

<navbar-app [default]="navbarMode" [checkLogin]="checkLogin"></navbar-app>

<div class="body">
  <div class="search" dir="rtl">
    <search-app></search-app>
  </div>
  <div class="list" dir="rtl">
    <div class="search-title" data-aos="fade-left" data-aos-duration="5000">
      <p>
        <span>{{ showCategory() }}</span>
        <span> > </span>
        <span>{{ data.searchText }}</span>
      </p>
    </div>
    <!-- union -->
    <div
      class="union"
      *ngIf="data.categoryId == 3"
      data-aos="fade-out"
      data-aos-duration="5000"
    >
      <div class="item" *ngFor="let union of unions">
        <app-search-union [data]="union"></app-search-union>
      </div>
    </div>

    <!-- professor -->
    <div
      class="professor"
      *ngIf="data.categoryId == 4"
      data-aos="fade-out"
      data-aos-duration="5000"
    >
      <div class="item" *ngFor="let professor of professors">
        <app-search-professor [data]="professor"></app-search-professor>
      </div>
    </div>

    <!-- content -->
    <div
      class="content"
      *ngIf="data.categoryId == 1"
      data-aos="fade-out"
      data-aos-duration="5000"
    >
      <div class="item" *ngFor="let content of contents">
        <app-search-article [data]="content"></app-search-article>
      </div>
    </div>

    <!-- event -->
    <div
      class="event"
      *ngIf="data.categoryId == 2"
      data-aos="fade-out"
      data-aos-duration="5000"
    >
      <div class="item" *ngFor="let event of events">
        <app-search-article [data]="event"></app-search-article>
      </div>
    </div>

    <!-- list Loader -->
    <div class="list-loader" *ngIf="showListLoader">
      <app-loader></app-loader>
    </div>
    <!-- 404 -->
    <div class="not-found" dir="rtl" *ngIf="items.length == 0">
      <p>
        404 موردی یافت نشد !
      </p>
    </div>
  </div>
</div>

<footer-app [checkLogin]="checkLogin"></footer-app>
